# TdApi.ScopeNotificationSettings (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ScopeNotificationSettings

Package it.tdlight.jni

# Class TdApi.ScopeNotificationSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ScopeNotificationSettings

Enclosing class:
  TdApi

    public static class TdApi.ScopeNotificationSettings
    extends TdApi.Object

Contains information about notification settings for several chats.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `disableMentionNotifications` | True, if notifications for messages with mentions will be created as for an ordinary unread message.
`boolean` | `disablePinnedMessageNotifications` | True, if notifications for incoming pinned messages will be created as for an ordinary unread message.
`int` | `muteFor` | Time left before notifications will be unmuted, in seconds.
`boolean` | `showPreview` | True, if message content must be displayed in notifications.
`String` | `sound` | The name of an audio file to be used for notification sounds; only applies to iOS applications.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ScopeNotificationSettings()` | Contains information about notification settings for several chats.
`ScopeNotificationSettings​(int muteFor, String sound, boolean showPreview, boolean disablePinnedMessageNotifications, boolean disableMentionNotifications)` | Contains information about notification settings for several chats.
`ScopeNotificationSettings​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### muteFor

public int muteFor
Time left before notifications will be unmuted, in seconds.

### sound

public String sound
The name of an audio file to be used for notification sounds; only applies to iOS applications.

### showPreview

public boolean showPreview
True, if message content must be displayed in notifications.

### disablePinnedMessageNotifications

public boolean disablePinnedMessageNotifications
True, if notifications for incoming pinned messages will be created as for an ordinary unread message.

### disableMentionNotifications

public boolean disableMentionNotifications
True, if notifications for messages with mentions will be created as for an ordinary unread message.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ScopeNotificationSettings

public ScopeNotificationSettings()
Contains information about notification settings for several chats.

### ScopeNotificationSettings

public ScopeNotificationSettings​(int muteFor, String sound, boolean showPreview, boolean disablePinnedMessageNotifications, boolean disableMentionNotifications)
Contains information about notification settings for several chats.

Parameters:
  `muteFor` - int Time left before notifications will be unmuted, in seconds.
  `sound` - String The name of an audio file to be used for notification sounds; only applies to iOS applications.
  `showPreview` - boolean True, if message content must be displayed in notifications.
  `disablePinnedMessageNotifications` - boolean True, if notifications for incoming pinned messages will be created as for an ordinary unread message.
  `disableMentionNotifications` - boolean True, if notifications for messages with mentions will be created as for an ordinary unread message.

### ScopeNotificationSettings

public ScopeNotificationSettings​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`